CHSHUT(8)

NAME
chshut - change the shutdown actions for Linux on System z

SYNOPSIS
chshut TRIGGER ACTION [VM Command]

DESCRIPTION
Use chshut to configure the Linux on System z shutdown actions. The tool handles up to three parameters. The first parameter specifies the shutdown trigger. A shutdown trigger is an event that will stop Linux. The following shutdown triggers are supported: "halt", "poff", and "reboot". There are two other shutdown triggers "panic" and "restart" that are controlled by the dumpconf(8) service script. The second parameter specifies the shutdown action that you want to run if the specified trigger occurs. Valid action arguments are "ipl", "reipl", "stop", and "vmcmd". If you have chosen "vmcmd" as action, a third parameter is required for the CP command you want to execute under z/VM. Note: VM CP commands, device addresses, and guest names must be uppercase.

OPTIONS

-h or --help
    Print help information, then exit.

-v or --version
    Print version information, then exit.

EXAMPLES
Log off the z/VM guest if the Linux poweroff(8) command was executed successfully: # chshut poff vmcmd LOGOFF If the system is halted it should start again: # chshut halt ipl If the Linux poweroff(8) command is executed, send a message to guest MASTER and automatically log off the guest: # chshut poff vmcmd "MSG MASTER Going down" vmcmd "LOGOFF"

NOTES
For most Linux distributions, "halt" is mapped by default to "power off". In this case you have to use the shutdown trigger "poff" instead of "halt".

SEE ALSO
dumpconf(8) lsshut(8)